비밀번호를 잊으셨나요?

비밀번호를 잊으셨나요? 비밀번호를 재설정하려면 이메일 주소를 입력해주세요.

계정이 있나요? 로그인

You must login to ask a question.

비밀번호를 잊으셨나요?

아직 계정이 없으신가요? 회원가입 하기

해당 질문을 신고하는 이유를 간단히 입력해주세요.

해당 답변을 신고하는 이유를 간단히 입력해주세요.

해당 유저를 신고하는 이유를 간단히 입력해주세요.

로그인회원가입

고캐드 – 캐드(CAD) 정보의 중심

고캐드 – 캐드(CAD) 정보의 중심 Logo 고캐드 – 캐드(CAD) 정보의 중심 Logo

고캐드 – 캐드(CAD) 정보의 중심 Navigation

  • Q&A
    • AutoCAD & CADian
    • Inventor & Solidworks
    • Revit & ArchiCAD
    • 자유질문
    • 기타
  • 커뮤니티
    • 오늘의이슈
    • 자유게시판
    • 익명게시판
    • 건의게시판
  • 자료실
    • 자료요청
    • 일반파일
    • 도면샘플
    • 유틸리티
    • 기타
  • 작품 갤러리
    • 그래픽
    • 캐드도면
    • 3D모델
    • 기타
  • 뉴스&이벤트
    • 공지사항
    • 뉴스
    • 전시/행사
    • 이벤트
    • 기타
검색
질문하기

Mobile menu

닫기
질문하기
  • 홈
  • 카테고리
    • AutoCAD & CADian
    • Inventor & Solidworks
    • Revit & ArchiCAD
    • 자유질문
    • 기타
  • 투표
  • 커뮤니티 그룹
  • Q&A
    • AutoCAD & CADian
    • Inventor & Solidworks
    • Revit & ArchiCAD
    • 자유질문
    • 기타
  • 커뮤니티
    • 오늘의이슈
    • 자유게시판
    • 익명게시판
    • 건의게시판
  • 자료실
    • 자료요청
    • 일반파일
    • 도면샘플
    • 유틸리티
    • 기타
  • 작품 갤러리
    • 그래픽
    • 캐드도면
    • 3D모델
    • 기타
  • 뉴스&이벤트
    • 공지사항
    • 뉴스
    • 전시/행사
    • 이벤트
    • 기타
홈/ 질문/Q 108624
다음
진행 중
약먹은천사
약먹은천사Lv.0
등록일: 2017-07-102017-07-10T12:59:29+09:00 2017-07-10T12:59:29+09:00카테고리: AutoCAD & CADian

cht리습이요~~

요밑에 재가 즐겨쓰는 텍스트 수정 리습인데요,, 오토캐드2018로 바꾸고 나서는 잘안되서요. 
혹시 고수님 봐주실수 있을까 해서 한번 올려봅니다.
;;;   CHTEXT.lsp
;;;   Copyright (C) 1990 by Autodesk, Inc.
;;; 
;;;   Permission to use, copy, modify, and distribute this software and its
;;;   documentation for any purpose and without fee is hereby granted. 
;;;
;;;   THIS SOFTWARE IS PROVIDED “AS IS” WITHOUT EXPRESS OR IMPLIED WARRANTY.
;;;   ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR PURPOSE AND OF
;;;   MERCHANTABILITY ARE HEREBY DISCLAIMED.
;;;
;;;   by Jan S. Yoder
;;;   09 March  1990
;;;
;;;————————————————————————–;
;;; DESCRIPTION
;;;   This is a “text processor” which operates in a global manner
;;;   on all of the text entities that the user selects; i.e., the
;;;   Height, Justification, Location, Rotation, Style, Text, and
;;;   Width can all be changed globally or individually, and the
;;;   range of values for a given parameter can be listed.
;;;  
;;;   The command is called with CHT from the command line at which
;;;   time the user is asked to select the objects to change.
;;;  
;;;     Select text to change.
;;;     Select objects:
;;; 
;;;   If nothing is selected the message “ERROR: Nothing selected.”
;;;   is displayed and the command is terminated.  If more than 25
;;;   entities are selected the following message is displayed while
;;;   the text entities are sorted out from the non-text entities.
;;;   A count of the text entities found is then displayed.
;;;  
;;;     Verifying the selected entities — please wait.
;;;     nnn  text entities found.
;;;     CHText:  Height/Justification/Location/Rotation/Style/Text/Undo/Width:
;;;  
;;;   A typical example of the prompts you may encounter follows:
;;;  
;;;   If you select a single text entity to change and ask to change
;;;   the height, the prompt looks like this:
;;;  
;;;     CHText:  Height/Justification/Location/Rotation/Style/Text/Undo/Width:
;;;     New text height for text entity. <0.08750000>:
;;;  
;;;   If you select more than one text entity to change and ask to change
;;;   the height, the prompt looks like this:
;;;  
;;;     CHText:  Height/Justification/Location/Rotation/Style/Text/Undo/Width:
;;;     Individual/List/<New height for all entities>:
;;;  
;;;   Typing “L” at this prompt returns a prompt showing you the range of
;;;   values that you are using for your text.
;;;  
;;;     Height — Min: 0.05000000  Max: 0.10000000  Ave: 0.08392857
;;;  
;;;   Typing “I” at this prompt puts you in a loop, processing the text
;;;   entities you have selected one at a time, and giving the same prompt
;;;   you get for a single text entity shown above.
;;;  
;;;   Pressing RETURN at this point puts you back at the Command: prompt.
;;;   Selecting any of the other options allows you to change the text
;;;   entities selected.
;;;  
;;;   All of the Release 11 text alignment options have been supported. 
;;;   This is based on the system variable “DIMCLRD” being present. 
;;;   If it is not present, then only the  Release 10 alignment options
;;;   are allowed.
;;;  
;;;—————————————————————————;
;;;
;;; Main function — no arguments
;;;
(defun chtext (/ sset opt ssl nsset temp unctr
                sslen style hgt rot txt ent cht_oc
                loc loc1 justp justq orthom )
  (setq pt_ver “1.00”)                ; Reset this local if you make a change.
  ;;
  ;; Internal error handler defined locally
  ;;
  (defun cht_er (s)                   ; If an error (such as CTRL-C) occurs
                                      ; while this command is active…
    (if (/= s “Function cancelled”)
      (if (= s “quit / exit abort”)
        (princ)
        (princ (strcat “nError: ” s))
      )
    )
    (eval(read U:E))
    (if cht_oe                        ; If an old error routine exists
      (setq *error* cht_oe)           ; then, reset it
    )
    (if cht_oc (setvar “cmdecho” cht_oc)) ; Reset command echoing
    (if cht_ot (setvar “texteval” cht_ot))
    (if cht_oh (setvar “highlight” cht_oh))
    (princ)
  )
  ;;
  ;; Body of function
  ;;
  (if *error*                         ; Set our new error handler
    (setq cht_oe *error* *error* cht_er)
    (setq *error* cht_er)
  )
  ;; Set undo groups and ends with (eval(read U:G)) or (eval(read U:E))
  (setq U:G “(command ”undo” ”group”)”
        U:E “(command ”undo” ”end”)”
  )
 
  (setq cht_oc (getvar “cmdecho”))
  (setq cht_oh (getvar “highlight”))
  (setvar “cmdecho” 0)
 
  (eval(read U:G))
  (princ (strcat “nChange text, Version ” pt_ver
                 “, (c) 1990 by Autodesk, Inc. “))
  (prompt “nSelect text to change. “)
  (setq sset (ssget))
  (if (null sset)
    (progn
      (princ “nERROR: Nothing selected.”)
      (exit)
    )
  )
  ;; Verify the entity set.
  (cht_ve)
  ;; This is the main option loop.
  (cht_ol)
  (if cht_oe (setq *error* cht_oe))   ; Reset old error function if error
  (eval(read U:E))
  (if cht_ot (setvar “texteval” cht_ot))
  (if cht_oh (setvar “highlight” cht_oh))
  (if cht_oc (setvar “cmdecho” cht_oc)) ; Reset command echoing
  (princ)
)
;;;
;;; Verify and sort out non-text entities from the selection set.
;;;
(defun cht_ve ()
  (setq ssl   (sslength sset)
        nsset (ssadd))
  (if (> ssl 25)
    (princ “nVerifying the selected entities — please wait. “)
  )
  (while (> ssl 0)
    (setq temp (ssname sset (setq ssl (1- ssl))))
    (if (= (cdr(assoc 0 (entget temp))) “TEXT”)
      (ssadd temp nsset)
    )
  )
  (setq ssl (sslength nsset)
        sset nsset
        unctr 0
  )
  (print ssl)
  (princ “text entities found. “)
)
;;;
;;; The option loop.
;;;
(defun cht_ol ()
  (setq opt T)
  (while (and opt (> ssl 0))
    (setq unctr (1+ unctr))
    (command “undo” “group”)
    (initget “Location Justification Style Height Rotation Width Text Undo”)
    (setq opt (getkword
      “nHeight/Justification/Location/Rotation/Style/Text/Undo/Width: “))
    (if opt
      (cond
        ((= opt “Undo”)
          (cht_ue)                    ; Undo the previous command.
        )
        ((= opt “Location”)
          (cht_le)                    ; Change the location.
        )
        ((= opt “Justification”)
          (cht_je)                    ; Change the justification.
        )
        ((= opt “Style”)    (cht_pe “Style”    “style name”      7) )
        ((= opt “Height”)   (cht_pe “Height”   “height”         40) )
        ((= opt “Rotation”) (cht_pe “Rotation” “rotation angle” 50) )
        ((= opt “Width”)    (cht_pe “Width”    “width factor”   41) )
        ((= opt “Text”)
          (cht_te)                    ; Change the text.
        )
      )
      (setq opt nil)
    )
    (command “undo” “end”)
  )
)
;;;
;;; Undo an entry.
;;;
(defun cht_ue ()
  (if (> unctr 1)
    (progn
      (command “undo” “end”)
      (command “undo” “2”)
      (setq unctr (- unctr 2))
    )
    (progn
      (princ “nNothing to undo. “)
      (setq unctr (- unctr 1))
    )
  )
)
;;;
;;; Change the location of an entry.
;;;
(defun cht_le ()
  (setq sslen (sslength sset)
        style “”
        hgt   “”
        rot   “”
        txt   “”
  )
  (command “change” sset “” “”)
  (while (> sslen 0)
    (setq ent (entget(ssname sset (setq sslen (1- sslen))))
          opt (list (cadr (assoc 11 ent))
                    (caddr (assoc 11 ent))
                    (cadddr (assoc 11 ent)))
    )
    (prompt “nNew text location: “)
    (command pause)
    (if (null loc)
      (setq loc opt)
    )
    (command style hgt rot txt)
  )
  (command)
)
;;;
;;; Change the justification of an entry.
;;;
(defun cht_je ()
  (if (getvar “DIMCLRD”)
    (initget (strcat “TLeft TCenter TRight “
                     “MLeft MCenter Mright “
                     “BLeft BCenter Bright “
                     “Aligned Center Fit Left Middle Right ?”))
    (initget “Aligned Center Fit Left Middle Right ?”)
  )
  (setq sslen (sslength sset))
  (setq justp (getkword (strcat “nJustification point(s) – “
              “Aligned/Center/Fit/Left/Middle/Right/<?>: “)))
  (cond
    ((= justp “Left”)    (setq justp 0 justq 0) )
    ((= justp “Center”)  (setq justp 1 justq 0) )
    ((= justp “Right”)   (setq justp 2 justq 0) )
    ((= justp “Aligned”) (setq justp 3 justq 0) )
    ((= justp “Fit”)     (setq justp 5 justq 0) )
    ((= justp “TLeft”)   (setq justp 0 justq 3) )
    ((= justp “TCenter”) (setq justp 1 justq 3) )
    ((= justp “TRight”)  (setq justp 2 justq 3) )
    ((= justp “MLeft”)   (setq justp 0 justq 2) )
    ((= justp “Middle”)  (setq justp 1 justq 2) )
    ((= justp “MCenter”) (setq justp 1 justq 2) )
    ((= justp “MRight”)  (setq justp 2 justq 2) )
    ((= justp “BLeft”)   (setq justp 0 justq 1) )
    ((= justp “BCenter”) (setq justp 1 justq 1) )
    ((= justp “BRight”)  (setq justp 2 justq 1) )
    ((= justp “?”)       (setq justp nil)       )
    (T                   (setq justp nil)       )
  )  
  (if justp
    (justpt) ; Process them…
    (justpn) ; List options…
  )
  (command)
)
;;;
;;; Get alignment points for “aligned” or “fit” text.
;;;
(defun justpt ()
  (while (> sslen 0)
    (setq ent (entget(ssname sset (setq sslen (1- sslen))))
          ent (subst (cons 72 justp) (assoc 72 ent) ent)
          opt (trans (list (cadr (assoc 11 ent))
                           (caddr (assoc 11 ent))
                           (cadddr (assoc 11 ent)))
                     (cdr(assoc -1 ent)) ; from ECS
                     1)               ; to current UCS
    )
    (if (getvar “DIMCLRD”)
      (setq ent (subst (cons 73 justq) (assoc 73 ent) ent))
    )
    (cond
      ((or (= justp 3) (= justp 5))
        (prompt “nNew text alignment points: “)
        (if (= (setq orthom (getvar “orthomode”)) 1)
          (setvar “orthomode” 0)
        )
        (redraw (cdr(assoc -1 ent)) 3)
        (initget 1)
        (setq loc (getpoint))
        (initget 1)
        (setq loc1 (getpoint loc))
        (redraw (cdr(assoc -1 ent)) 1)
        (setvar “orthomode” orthom)
        (setq ent (subst (cons 10 loc) (assoc 10 ent) ent))
        (setq ent (subst (cons 11 loc1) (assoc 11 ent) ent))
      )
      ((/= justp 0)
        (redraw (cdr(assoc -1 ent)) 3)
        (prompt “nNew text location: “)
        (if (= (setq orthom (getvar “orthomode”)) 1)
          (setvar “orthomode” 0)
        )
        (setq loc (getpoint opt))
        (setvar “orthomode” orthom)
        (redraw (cdr(assoc -1 ent)) 1)
        (if (null loc)
          (setq loc opt)
          (setq loc (trans loc 1 (cdr(assoc -1 ent))))
        )
        (setq ent (subst (cons 11 loc) (assoc 11 ent) ent))
      )
    )
    (entmod ent)
  )
)
;;;
;;; List the options.
;;;
(defun justpn ()
  (if (getvar “DIMCLRD”) (textpage))
  (princ “nAlignment options: “)
  (princ “nt TLeft   TCenter   TRight “)
  (princ “nt MLeft   MCenter   MRight “)
  (princ “nt BLeft   BCenter   BRight “)
  (princ “nt  Left    Center    Right”)
  (princ “ntAligned   Middle    Fit”)
  (if (not (getvar “DIMCLRD”)) (textscr))
  (princ “nnPress any key to return to your drawing. “)
  (grread)
  (princ “r                                           “)
  (graphscr)
)
;;;
;;; Change the text of an entity.
;;;
(defun cht_te ()
  (setq sslen (sslength sset))
  (initget “Globally Individually Retype”)
  (setq ans (getkword
    “nSearch and replace text.  Individually/Retype/<Globally>:”))
  (setq cht_ot (getvar “texteval”))
  (setvar “texteval” 1)
  (cond
    ((= ans “Individually”)
      (if (= (getvar “popups”) 1)
        (progn
          (initget “Yes No”)
          (setq ans (getkword “nEdit text in dialogue? <Yes>:”))
        )
        (setq ans “No”)
      )
 
      (while (> sslen 0)
        (redraw (setq sn (ssname sset (setq sslen (1- sslen)))) 3)
        (setq ss (ssadd))
        (ssadd (ssname sset sslen) ss)
        (if (= ans “No”)
          (chgtext ss)
          (command “ddedit” sn “”)
        )
        (redraw sn 1)
      )
    )
    ((= ans “Retype”)
      (while (> sslen 0)
        (setq ent (entget(ssname sset (setq sslen (1- sslen)))))
        (redraw (cdr(assoc -1 ent)) 3)
        (prompt (strcat “nOld text: ” (cdr(assoc 1 ent))))
        (setq nt (getstring  T “nNew text: “))
        (redraw (cdr(assoc -1 ent)) 1)
        (if (> (strlen nt) 0)
          (entmod (subst (cons 1 nt) (assoc 1 ent) ent))
        )
      )
    )
    (T
      (chgtext sset)                  ; Change ’em all
    )
  )
  (setvar “texteval” cht_ot)
)
;;;
;;; The old CHGTEXT command – rudimentary text editor
;;;
;;;
(defun C:CHGTEXT () (chgtext nil))
(defun chgtext (objs / last_o tot_o ent o_str n_str st s_temp
                       n_slen o_slen si chf chm cont ans)
  (if (null objs)
    (setq objs (ssget))               ; Select objects if running standalone
  )
  (setq chm 0)
  (if objs
    (progn                   ; If any objects selected
      (if (= (type objs) ‘ENAME)
        (progn
          (setq ent (entget objs))
          (princ (strcat “nExisting string: ” (cdr (assoc 1 ent))))
        )
        (if (= (sslength objs) 1)
          (progn
            (setq ent (entget (ssname objs 0)))
            (princ (strcat “nExisting string: ” (cdr (assoc 1 ent))))
          )
        )
      )
      (setq o_str (getstring “nMatch string   : ” t))
      (setq o_slen (strlen o_str))
      (if (/= o_slen 0)
        (progn
          (setq n_str (getstring “nNew string     : ” t))
          (setq n_slen (strlen n_str))
          (setq last_o 0
                tot_o  (if (= (type objs) ‘ENAME)
                         1
                         (sslength objs)
                       )
          )
          (while (< last_o tot_o)     ; For each selected object…
            (if (= “TEXT”             ; Look for TEXT entity type (group 0)
                   (cdr (assoc 0 (setq ent (entget (ssname objs last_o))))))
              (progn
                (setq chf nil si 1)
                (setq s_temp (cdr (assoc 1 ent)))
                (while (= o_slen (strlen (setq st (substr s_temp si o_slen))))
                  (if (= st o_str)
                    (progn
                      (setq s_temp (strcat
                                     (if (> si 1)
                                       (substr s_temp 1 (1- si))
                                       “”
                                     )
                                     n_str
                                     (substr s_temp (+ si o_slen))
                                   )
                      )
                      (setq chf t)    ; Found old string
                      (setq si (+ si n_slen))
                    )
                    (setq si (1+ si))
                  )
                )
                (if chf
                  (progn              ; Substitute new string for old
                    ; Modify the TEXT entity
                    (entmod (subst (cons 1 s_temp) (assoc 1 ent) ent))
                    (setq chm (1+ chm))
                  )
                )
              )
            )
            (setq last_o (1+ last_o))
          )
        )
        ;; else go on to the next line…
      )
    )
  )
  (if (/= (type objs) ‘ENAME)
    (if (/= (sslength objs) 1)        ; Print total lines changed
      (princ (strcat “Changed “
                     (rtos chm 2 0)
                     ” text lines.”
             )
      )
    )
  )
  (terpri)
)
;;;
;;; Main procedure for manipulating text entities
;;; ARGUMENTS:
;;;   typ   — Type of operation to perform
;;;   prmpt — Partial prompt string to insert in standard prompt line
;;;   fld   — Assoc field to be changed
;;; GLOBALS:
;;;   sset  — The selection set of text entities
;;;
(defun cht_pe (typ prmpt fld / temp ow nw ent tw sty w hw lw
                              sslen n sn ssl)
  (if (= (sslength sset) 1)           ; Special case if there is only
                                      ; one entity selected
    ;; Process one entity.
    (cht_p1)
    ;; Else
    (progn
      ;; Set prompt string.
      (cht_sp)
      (if (= nw “List”)
        ;; Process List request.
        (cht_pl)
        (if (= nw “Individual”)
          ;; Process Individual request.
          (cht_pi)
          (if (= nw “Select”)
            ;; Process Select request.
            (cht_ps)
            ;; Else
            (progn
              (if (= typ “Rotation”)
                (setq nw (* (/ nw 180.0) pi))
              )
              (if (= (type nw) ‘STR)
                (if (not (tblsearch “style” nw))
                  (progn
                    (princ (strcat “nStyle ” nw ” not found. “))
                  )
                  (cht_pa)
                )
                (cht_pa)
              )
            )
          )
        )
      )
    )
  )
)
;;;
;;; Change all of the entities in the selection set.
;;;
(defun cht_pa ()
  (setq sslen (sslength sset))
  (setq cht_oh (getvar “texteval”))
  (setvar “highlight” 0)
  (while (> sslen 0)
    (setq temp (ssname sset (setq sslen (1- sslen))))
    (entmod (subst (cons fld nw)
                   (assoc fld (setq ent (entget temp)))
                   ent
            )
    )
   
  )
  (setvar “highlight” cht_oh)
)
;;;
;;; Change one text entity.
;;;
(defun cht_p1 ()
  (setq temp (ssname sset 0))
  (setq ow (cdr(assoc fld (entget temp))))
  (if (= opt “Rotation”)
    (setq ow (/ (* ow 180.0) pi))
  )
  (redraw (cdr(assoc -1 (entget temp))) 3)
  (initget 0)
  (if (= opt “Style”)
    (setq nw (getstring (strcat “nNew ” prmpt “. <“
                              ow “>: “)))
    (setq nw (getreal (strcat “nNew ” prmpt “. <“
                              (rtos ow 2) “>: “)))
  )
  (if (or (= nw “”) (= nw nil))
    (setq nw ow)
  )
  (redraw (cdr(assoc -1 (entget temp))) 1)
  (if (= opt “Rotation”)
    (setq nw (* (/ nw 180.0) pi))
  )
  (if (= opt “Style”)
    (if (null (tblsearch “style” nw))
      (princ (strcat “nStyle ” nw ” not found. “))
     
      (entmod (subst (cons fld nw)
                     (assoc fld (setq ent (entget temp)))
                     ent
              )
      )
    )
    (entmod (subst (cons fld nw)
                   (assoc fld (setq ent (entget temp)))
                   ent
            )
    )
  )
)
;;;
;;; Set the prompt string.
;;;
(defun cht_sp ()
  (if (= typ “Style”)
    (progn
      (initget “Individual List New Select “)
      (setq nw (getkword (strcat “nIndividual/List/Select style/<New “
                                 prmpt
                                 ” for all text entities>: “)))
      (if (or (= nw “”) (= nw nil) (= nw “Enter”))
        (setq nw (getstring (strcat “nNew “
                                    prmpt
                                    ” for all text entities: “)))
      )
    )
    (progn
      (initget “List Individual” 1)
      (setq nw (getreal (strcat “nIndividual/List/<New “
                                 prmpt
                                 ” for all text entities>: “)))
    )
  )
)
;;;
;;; Process List request.
;;;
(defun cht_pl ()
  (setq unctr (1- unctr))
  (setq sslen (sslength sset))
  (setq tw 0)
  (while (> sslen 0)
    (setq temp (ssname sset (setq sslen (1- sslen))))
    (if (= typ “Style”)
      (progn
        (if (= tw 0)
          (setq tw (list (cdr(assoc fld (entget temp)))))
          (progn
            (setq sty (cdr(assoc fld (entget temp))))
            (if (not (member sty tw))
              (setq tw (append tw (list sty)))
            )
          )
        )
      )
      (progn
        (setq tw (+ tw (setq w (cdr(assoc fld (entget temp))))))
        (if (= (sslength sset) (1+ sslen)) (setq lw w hw w))
        (if (< hw w) (setq hw w))
        (if (> lw w) (setq lw w))
      )
    )
  )
  (if (= typ “Rotation”)
    (setq tw (* (/ tw pi) 180.0)
          lw (* (/ lw pi) 180.0)
          hw (* (/ hw pi) 180.0))
  )
  (if (= typ “Style”)
    (progn
      (princ (strcat “n”
                     typ
                     “(s) — “))
      (princ tw)
    )
    (princ (strcat “n”
                     typ
                     ” — Min: “
                     (rtos lw 2)
                     “t Max: “
                     (rtos hw 2)
                     “t Avg: “
                     (rtos (/ tw (sslength sset)) 2) ))
  )
)
;;;
;;; Process Individual request.
;;;
(defun cht_pi ()
  (setq sslen (sslength sset))
  (while (> sslen 0)
    (setq temp (ssname sset (setq sslen (1- sslen))))
    (setq ow (cdr(assoc fld (entget temp))))
    (if (= typ “Rotation”)
      (setq ow (/ (* ow 180.0) pi))
    )
    (initget 0)
    (redraw (cdr(assoc -1 (entget temp))) 3)
    (if (= typ “Style”)
      (progn
        (setq nw (getstring (strcat “nNew “
                                   prmpt
                                   “. <“
                                   ow “>: “)))
      )
      (progn
        (setq nw (getreal (strcat “nNew “
                                   prmpt
                                   “. <“
                                (rtos ow 2) “>: “)))
      )
    )
    (if (or (= nw “”) (= nw nil))
      (setq nw ow)
    )
    (if (= typ “Rotation”)
      (setq nw (* (/ nw 180.0) pi))
    )
    (entmod (subst (cons fld nw)
                   (assoc fld (setq ent (entget temp)))
                   ent
            )
    )
    (redraw (cdr(assoc -1 (entget temp))) 1)
  )
)
;;;
;;; Process the Select option.
;;;
(defun cht_ps ()
  (princ “nSearch for which Style name?  <*>: “)
  (setq sn  (strcase (getstring))
        n   -1
        sset nsset
        nsset (ssadd)
        ssl (1- (sslength sset))
        )
  (if (or (= sn “*”) (null sn) (= sn “”))
    (setq nsset sset sn “*”)
    (while (and sn (< n ssl))
      (setq temp (ssname sset (setq n (1+ n))))
      (if (= (cdr(assoc 7 (entget temp))) sn)
        (ssadd temp nsset)
      )
    )
  )
  (setq ssl (sslength nsset)) 
  (princ “nFound “)
  (princ ssl)
  (princ ” text entities with STYLE of “)
  (princ sn)
  (princ “. “)
 
  (setq sset nsset)
)
;;;
;;; The C: function definition.
;;;
(defun c:cht    () (chtext))
(princ “ntc:CHText loaded.  Start command with CHT.”)
(princ)
  • 0
  • 4 4 답변
  • 196 조회
공유
  • Facebook

    관련 있는 질문들

    • 오토캐드 2016 맞춤법 검사기 끄는 방법 아시나요
    • 캐드에서 여러도면을 한번에 배치출력 할 수 있는 방법이 있나요
    • step파일, iges 파일을 열어서 볼 수 있는 방법이 있을까요?
    • 캐디안으로 도면을 열때 한글이 ???로 표시되는 문제

    4 답변

    • 작성 순
    • 최신 순
    • 공감 순
    1. aalan
    2. [Deleted User]
      2017-07-11T18:01:59+09:00답변 등록 답변 등록 일시 2017-07-11 6:01 pm

      2018에서 확인해보니 잘 되서 올립니다.
      chtext.lsp

      • 0
      • 공유
        공유
        • 공유 Facebook
        • 공유 Twitter
    3. 약먹은천사 Lv.0
      2017-07-12T10:55:19+09:00답변 등록 답변 등록 일시 2017-07-12 10:55 am

      상큼메론님 답변 감사합니다~~~

      • 0
      • 공유
        공유
        • 공유 Facebook
        • 공유 Twitter
    4. 약먹은천사 Lv.0
      2017-07-12T10:56:10+09:00답변 등록 답변 등록 일시 2017-07-12 10:56 am
      아저씨!님 답변을 이제야 봤네요~~~
      한번 해보겠습니다. 답변 감솨합니다^^* 
      • 0
      • 공유
        공유
        • 공유 Facebook
        • 공유 Twitter
    5. [Deleted User]
      2017-08-21T13:28:31+09:00답변 등록 답변 등록 일시 2017-08-21 1:28 pm

      chtext 리습은 무슨작업시 사용하는건가요

      • 0
      • 공유
        공유
        • 공유 Facebook
        • 공유 Twitter

    Sidebar

    질문하기
    공지사항

    • AI CAD의 미래! 캐디안 2025 1+1 프로모션 안내 2025-05-14

    Adv 234x60

    aalan

    Adv 234x60

    aalan

    Adv 120x600

    aalan

    Explore

    • 홈
    • 카테고리
      • AutoCAD & CADian
      • Inventor & Solidworks
      • Revit & ArchiCAD
      • 자유질문
      • 기타
    • 투표
    • 커뮤니티 그룹
    aalan

    Footer

    Support

    • 회사 및 서비스 소개
    • 자주 묻는 질문
    • 문의하기

    Guide

    • 제휴/협업 안내
    • 광고 서비스 안내

    Policy

    • 서비스 이용약관
    • 개인정보 처리방침
    • 광고성 정보 수신 동의

    Contents

    • 고밍스토리
    • 리습 시리즈

    정소프트 | 사업자등록번호 : 677-40-00198 | 대표 : 정은숙 | 이메일 : gocad.manager@gmail.com
    주소 : 서울특별시 강서구 양천로 400-12, 6층 614,615,617호(등촌동, 더리브골드타워)
    Copyright. 2012-2024 GOCAD All rights reserved